import {select,arc} from 'd3'; 

const svg = select('svg');

const height = parseFloat(svg.attr('height'));
const width = parseFloat(svg.attr('width'));

console.log(height,width)

const g = svg.append('g')
.attr('transform',`translate(${width/2},${height/2})`)

const circle = g
.append('circle')
  .attr('r',height/2)
	.attr('fill','#f5dd42')
	.attr('stroke','black')

const eyeSpacing = 100
const eyeoffset = -50
const eyeRadius = 30
const eyebrowWidth = 50
const eyebrowHeight =20
const eyebrowYoffset = -80
const eyeGr = g
.append('g')
	.attr('transform',`translate(0,${eyeoffset})`)

const lefteye = eyeGr
.append('circle')
  .attr('r',eyeRadius)
	.attr('cx',-eyeSpacing)


const rightteye = eyeGr
.append('circle')
  .attr('r',eyeRadius)
	.attr('cx',eyeSpacing)
	

const eyebrowGr = eyeGr
.append('g')
	.attr('transform',`translate(0,${eyebrowYoffset})`);
eyebrowGr
	.transition().duration(2000)
		.attr('transform',`translate(0,${eyebrowYoffset - 50})`)
	.transition().duration(2000)
		.attr('transform',`translate(0,${eyebrowYoffset})`)

const leftEyeBrow = eyebrowGr
.append('rect')
	.attr('x',-eyeSpacing -eyebrowWidth/2 )
	.attr('width',eyebrowWidth)
	.attr('height', eyebrowHeight)

const rightEyeBrow =eyebrowGr
.append('rect')
	.attr('x',eyeSpacing -eyebrowWidth/2 )
	.attr('width',eyebrowWidth)
	.attr('height', eyebrowHeight)

const mouth = g
.append('path')
	.attr('d',arc()({
  innerRadius: 150,
  outerRadius: 170,
  startAngle: Math.PI/2,
  endAngle: Math.PI * 3/2
}))
